# Class FieldHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.ParamHandler
uk.ac.starlink.ttools.votlint.FieldHandler

public class FieldHandler extends ParamHandler
ElementHandler for FIELD elements. It inherits from ParamHandler since the parsing functionality can be reused.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Nested Class Summary

### Nested classes/interfaces inherited from class ParamHandler

`ParamHandler.ValueChecker`

## Constructor Summary

Constructors
Constructor
Description
`FieldHandler()`

## Method Summary

Modifier and Type
Method
Description
`ElementRef`
`getTableRef()`
Returns the table to which this field belongs.
`void`
`startElement()`
Called after the attributes have been set and checked.

### Methods inherited from class ParamHandler

`getParser, setAttributes`

### Methods inherited from class ElementHandler

`characters, configure, endElement, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldHandler

public FieldHandler()

## Method Details

### startElement

public void startElement()
Description copied from class: `ElementHandler`
Called after the attributes have been set and checked. The default implementation does nothing.

Overrides:
  `startElement` in class `ElementHandler`

### getTableRef

public ElementRef getTableRef()
Returns the table to which this field belongs.

Returns:
  table ref